<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="DFS.Infrastructure" Version="8.0.0" />
    <PackageReference Include="DFS.Infrastructure.Redis" Version="8.0.0" />
    <PackageReference Include="JWT" Version="10.1.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.6" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.5" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.6.2" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="MicServer\Jwt\Attribute\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Fuel.Application\Fuel.Application.csproj" />
    <ProjectReference Include="..\..\Fuel.Infrastructure\Fuel.Infrastructure.csproj" />
    <ProjectReference Include="..\Fuel.Payment.Core\Fuel.Payment.Core.csproj" />
    <ProjectReference Include="..\Fuel.Payment.Service\Fuel.Payment.Service.csproj" />
  </ItemGroup>

</Project>
